Subject: Re: Canon Cat (was: Cannon Cat

From: "Dwight K. Elvey" <[email-masked]>
Date: Tue Jul 22 20:48:57 2003

Hi
 I did a search for "canon cat" with google in the news
groups and found the trick to enable Forth on the Cat.
There was a note from Derek Peschel that discribed it
well enough that I was able to figure it out. 
 It has two Forth modes. One uses the Forth engine to
calculate things from the text of on the page. The next
level of mode drops you into a Forth interpreter. It
seems to take most Forth commands but I tried things like
vlist and words but these were not part of the vocabulary.
I'd like to see what its vocabulary is but it may not have
a word defined to do this. It does have such words as
C@ and @ as well as it compiles new words. This means I
can do some exploring. I didn't try it but I think I
can even use the text input as source from the first
level.
Dwight